Index: /palm/trunk/SOURCE/init_advec.f90
===================================================================
--- /palm/trunk/SOURCE/init_advec.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_advec.f90	(revision 4648)
@@ -1,30 +1,32 @@
 !> @file init_advec.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
@@ -37,14 +39,14 @@
 ! ------------
 !> Initialize constant coefficients and parameters for certain advection schemes.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE init_advec
- 
 
-    USE advection,                                                             &
+
+    USE advection,                                                                                 &
         ONLY:  aex, bex, dex, eex
-        
+
     USE kinds
-    
-    USE control_parameters,                                                    &
+
+    USE control_parameters,                                                                        &
         ONLY:  scalar_advec
 
@@ -52,7 +54,7 @@
 
     INTEGER(iwp) ::  i          !<
-    INTEGER(iwp) ::  intervals  !< 
+    INTEGER(iwp) ::  intervals  !<
     INTEGER(iwp) ::  j          !<
-    
+
     REAL(wp) :: delt   !<
     REAL(wp) :: dn     !<
@@ -88,5 +90,5 @@
              ex1 = dn * EXP( -dn ) - EXP( 0.5_wp * dn ) + EXP( -0.5_wp * dn )
              ex2 = EXP( dn ) - EXP( -dn )
-             ex3 = EXP( -dn ) * ( 1.0_wp - dn ) - 0.5_wp * EXP(  0.5_wp * dn ) &
+             ex3 = EXP( -dn ) * ( 1.0_wp - dn ) - 0.5_wp * EXP(  0.5_wp * dn )                     &
                                                 - 0.5_wp * EXP( -0.5_wp * dn )
              ex4 = EXP( dn ) + EXP( -dn )
Index: /palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- /palm/trunk/SOURCE/init_coupling.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_coupling.f90	(revision 4648)
@@ -1,36 +1,38 @@
 !> @file init_coupling.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! ------------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4564 2020-06-12 14:03:36Z raasch
 ! Vertical nesting method of Huq et al. (2019) removed
-! 
+!
 ! 4444 2020-03-05 15:59:50Z raasch
 ! bugfix: cpp-directives for serial mode added
-! 
+!
 ! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! references to mrun replaced by palmrun, and updated
@@ -41,15 +43,14 @@
 ! Description:
 ! ------------
-!> Initializing coupling via MPI-1 or MPI-2 if the coupled version of PALM is
-!> called.
-!------------------------------------------------------------------------------!
+!> Initializing coupling via MPI-1 or MPI-2 if the coupled version of PALM is called.
+!--------------------------------------------------------------------------------------------------!
   SUBROUTINE init_coupling
- 
 
-    USE control_parameters,                                                    &
+
+    USE control_parameters,                                                                        &
         ONLY:  coupling_char, coupling_mode
-        
+
     USE kinds
-    
+
     USE pegrid
 
@@ -62,12 +63,11 @@
     INTEGER(iwp) ::  inter_color  !<
 #endif
-    
+
     INTEGER(iwp), DIMENSION(:) ::  bc_data(0:3) = 0  !<
 
 !
-!-- Get information about the coupling mode from the environment variable
-!-- which has been set by the mpiexec command.
-!-- This method is currently not used because the mpiexec command is not
-!-- available on some machines
+!-- Get information about the coupling mode from the environment variable which has been set by the
+!-- mpiexec command.
+!-- This method is currently not used because the mpiexec command is not available on some machines.
 !    CALL GET_ENVIRONMENT_VARIABLE( 'coupling_mode', coupling_mode, i )
 !    IF ( i == 0 )  coupling_mode = 'uncoupled'
@@ -75,6 +75,6 @@
 
 !
-!-- Get information about the coupling mode from standard input (PE0 only) and
-!-- distribute it to the other PEs. Distribute PEs to 2 new communicators.
+!-- Get information about the coupling mode from standard input (PE0 only) and distribute it to the
+!-- other PEs. Distribute PEs to 2 new communicators.
 !-- ATTENTION: numprocs will be reset according to the new communicators
 #if defined ( __parallel )
@@ -91,6 +91,6 @@
 
 !
-!--    Check if '_O' has to be used as file extension in an uncoupled ocean
-!--    run. This is required, if this run shall be continued as a coupled run.
+!--    Check if '_O' has to be used as file extension in an uncoupled ocean run. This is required,
+!--    if this run shall be continued as a coupled run.
        IF ( TRIM( coupling_mode ) == 'precursor_ocean' )  bc_data(3) = 1
 
@@ -127,6 +127,5 @@
 
 !
-!--    Write a flag file for the ocean model and the other atmosphere
-!--    processes.
+!--    Write a flag file for the ocean model and the other atmosphere processes.
        OPEN( 90, FILE='COUPLING_PORT_OPENED', FORM='FORMATTED' )
        WRITE ( 90, '(''TRUE'')' )
@@ -136,8 +135,7 @@
 
 !
-!-- In case of a precursor ocean run (followed by a coupled run), or a
-!-- coupled atmosphere-ocean run, set the file extension for the ocean files
-    IF ( TRIM( coupling_mode ) == 'ocean_to_atmosphere' .OR. bc_data(3) == 1 ) &
-    THEN
+!-- In case of a precursor ocean run (followed by a coupled run), or a coupled atmosphere-ocean run,
+!-- set the file extension for the ocean files.
+    IF ( TRIM( coupling_mode ) == 'ocean_to_atmosphere' .OR. bc_data(3) == 1 )  THEN
        coupling_char = '_O'
     ENDIF
